
<!---

This README is automatically generated from the comments in these files:
iron-autogrow-textarea.html

Edit those files, and our readme bot will duplicate them over here!
Edit this file, and the bot will squash your changes :)

The bot does some handling of markdown. Please file a bug if it does the wrong
thing! https://github.com/PolymerLabs/tedium/issues

-->

[![Build status](https://travis-ci.org/PolymerElements/iron-autogrow-textarea.svg?branch=master)](https://travis-ci.org/PolymerElements/iron-autogrow-textarea)

_[Demo and API docs](https://elements.polymer-project.org/elements/iron-autogrow-textarea)_


##&lt;iron-autogrow-textarea&gt;

`iron-autogrow-textarea` is an element containing a textarea that grows in height as more
lines of input are entered. Unless an explicit height or the `maxRows` property is set, it will
never scroll.

Example:

```html
<iron-autogrow-textarea></iron-autogrow-textarea>
```

### Styling

The following custom properties and mixins are available for styling:

| Custom property | Description | Default |
| --- | --- | --- |
| `--iron-autogrow-textarea` | Mixin applied to the textarea | `{}` |
| `--iron-autogrow-textarea-placeholder` | Mixin applied to the textarea placeholder | `{}` |


